{{- if .Values.enabled -}}
{{- range $key, $value := .Values.subbands }}
{{- if $value.config }}
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: "ska-pst-recv-configs-{{ $key }}"
  labels:
    {{- include "ska-pst-recv.labels" $ | nindent 4 }}
data:
{{- $value.config | toYaml | nindent 2 }}
{{- end }}
{{- end }}
{{- end }}